Recent

Author Topic: Can't compile onlinepackagemanager  (Read 1305 times)

BlueIcaro

  • Hero Member
  • *****
  • Posts: 576
Can't compile onlinepackagemanager
« on: October 03, 2017, 11:35:08 am »
Hi, I have onlinepackagemanager that comes with lazarus 1.8RC4.
I opened it today and I found that onlinepackagemanager has a update. I download the new package but gives a error when compiles

Quote
opkman_mainfrm.pas(847,42) Error: identifier idents no member "UninstallPackage"

Any Idea

/BlueIcaro
Remenber, the lazarus wiki is your friend: http://wiki.lazarus.freepascal.org/Main_Page
General questions (several lenguages) http://wiki.lazarus.freepascal.org/

GetMem

  • Hero Member
  • *****
  • Posts: 3515
Re: Can't compile onlinepackagemanager
« Reply #1 on: October 03, 2017, 11:51:56 am »
Hi BlueIcaro,

Quote
Hi, I have onlinepackagemanager that comes with lazarus 1.8RC4.
I opened it today and I found that onlinepackagemanager has a update. I download the new package but gives a error when compiles
Please follow the steps from here: http://forum.lazarus.freepascal.org/index.php/topic,34297.msg257092.html#msg257092
The issue is caused by a recently added function to packageintf.pas in Lazarus trunk. The changes are already back-ported to 1.8. So when 1.8 final is out, this inconvenience will go away.

BlueIcaro

  • Hero Member
  • *****
  • Posts: 576
Re: Can't compile onlinepackagemanager
« Reply #2 on: October 03, 2017, 12:06:25 pm »
Thanks GetMem, for the moment I can wait for the fixed release of Lazarus.
/BlueIcaro
Remenber, the lazarus wiki is your friend: http://wiki.lazarus.freepascal.org/Main_Page
General questions (several lenguages) http://wiki.lazarus.freepascal.org/

GetMem

  • Hero Member
  • *****
  • Posts: 3515
Re: Can't compile onlinepackagemanager
« Reply #3 on: October 03, 2017, 12:11:18 pm »
Quote
Thanks GetMem, for the moment I can wait for the fixed release of Lazarus.
You're welcome. The good news is you don't have to wait too much,  Lazarus 1.8 is just around the corner.